Commands.EnvCommand (Apache ZooKeeper - Server 3.7.0 API)
Date: 2021-03-17

org.apache.zookeeper.server.admin

## Class Commands.EnvCommand

- java.lang.Object
- - org.apache.zookeeper.server.admin.CommandBase
  - - org.apache.zookeeper.server.admin.Commands.EnvCommand

- All Implemented Interfaces:
    Command
  Enclosing class:
    Commands

      public static class Commands.EnvCommand
      extends CommandBase

  All defined environment variables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnvCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CommandResponse` | `run(ZooKeeperServer zkServer, Map<String,String> kwargs)` Run this command.

    - ### Methods inherited from class org.apache.zookeeper.server.admin.CommandBase

      `getDoc, getNames, getPrimaryName, initializeResponse, isServerRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EnvCommand

          public EnvCommand()

  - ### Method Detail

    - #### run

          public CommandResponse run(ZooKeeperServer zkServer,
                                     Map<String,String> kwargs)

      Description copied from interface: `Command`
      Run this command. Commands take a ZooKeeperServer and String-valued keyword arguments and return a map containing any information constituting the response to the command. Commands are responsible for parsing keyword arguments and performing any error handling if necessary. Errors should be reported by setting the "error" entry of the returned map with an appropriate message rather than throwing an exception.
        `kwargs` - keyword -> argument value mapping
      Returns:
        Map representing response to command containing at minimum: - "command" key containing the command's primary name - "error" key containing a String error message or null if no error

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.